@echo off
TITLE 塔科夫服务端存档自动备份启动脚本 By Craink
if exist "逃离塔科夫离线服务端.exe" (goto SUCCESS) else (goto FAIL)
echo.
:SUCCESS
echo 塔科夫服务端存档自动备份启动脚本 By Craink
echo.

echo ==============================================
echo 使用说明：
echo 如需自动备份存档，请在服务端开启期间保持本窗口不被关闭。
echo 备份间隔：5分钟（300秒）
echo 备份路径：服务端目录下的“存档备份”文件夹
echo.
echo.
echo 恢复方法：进入“存档备份”文件夹，将其内以数字命名的文件夹整个复制到“服务端根目录/user/profiles/”路径下覆盖即可。
echo.
echo 随后会提示“等待 XX秒，按CTRL+C退出”，倒计时是距离下次备份的剩余时间，不是要你等多少秒后自己去按这个组合键。
echo 如果脚本被意外关闭，双击重新打开即可。
echo.
echo.
echo 如需修改备份间隔，可用文本工具打开脚本，修改脚本内“set INTERVAL="后面的数字，单位是秒。
echo 改为10就是每10秒备份一次，300为每5分钟备份一次，以此类推。
echo.



set INTERVAL=300

:AGAIN
echo ==============================================
tasklist | find /i "逃离塔科夫离线服务端.exe" >nul || start 逃离塔科夫离线服务端.exe

Xcopy .\user\profiles\* .\存档备份\ /y /e /i /q
echo [%date:~0,10% %time:~0,8%] 自动备份完成
timeout %INTERVAL% /NOBREAK

echo.
goto AGAIN


:FAIL
echo 启动失败：未检测到服务端主程序，请将该脚本放入服务端根目录中运行
echo.
pause
exit